vnfd-catalog:
    vnfd:
    -   id: hackfest_vyos-vnf
        name: hackfest_vyos-vnf
        short-name: hackfest_vyos-vnf
        version: '1.0'
        description: A basic virtual router
        connection-point:
        -   name: vnf-mgmt
            type: VPORT
        -   name: vnf-internal
            type: VPORT
            port-security-enabled: false
        -   name: vnf-external
            type: VPORT
            port-security-enabled: false
        vdu:
        -   id: vyos-VM
            name: vyos-VM
            cloud-init-file: vyos-userdata
            image: vyos-1.1.7
            count: 1
            vm-flavor:
                vcpu-count: 1
                memory-mb: 2048
                storage-gb: 10
            interface:
            -   name: vdu-eth0
                type: EXTERNAL
                position: 0
                virtual-interface:
                    type: PARAVIRT
                external-connection-point-ref: vnf-mgmt
            -   name: vdu-eth1
                type: EXTERNAL
                position: 1
                virtual-interface:
                    type: PARAVIRT
                external-connection-point-ref: vnf-internal
            -   name: vdu-eth2
                type: EXTERNAL
                position: 2
                virtual-interface:
                    type: PARAVIRT
                external-connection-point-ref: vnf-external
            supplemental-boot-data:
              boot-data-drive: true
        mgmt-interface:
            cp: vnf-mgmt

